const express = require('express');
const Router = express.Router();
const authorize = require('../app/service/authorize');
const autintiation = require("../app/middleware/authMiddleware");
const AuthController = require('../app/controllers/Auth.Controller');
const AdminController = require('../app/controllers/Admin.Controller');
// --------------------------------------------------- user/club
Router.post(`/auth`, AuthController.admin);
Router.post(`/`, AdminController.add);
Router.get(`/profile`, autintiation, authorize("admin",'gamer'), AdminController.profile);
Router.patch("/block/:id", autintiation, authorize("admin"), AdminController.block);
Router.patch("/remove/:id", autintiation, authorize("admin"), AdminController.remove);
Router.patch("/password/update", autintiation, authorize("admin"), AdminController.passupdate);
Router.get("/gammer", autintiation, authorize("admin"), AdminController.gammer);
module.exports = Router;